
/* CODE
  ========================================================================== */

code{
font-family: monospace;
}

/* ----- INLINE CODE */

/*
must:
1. not change the line-height
2. still be base-aligned
*/
code{
    /* by default the height (in inline) of the content-area is going to be 100% of the line-height
    but because mono is smaller and align with the baseline of the rest
    it create a global line-height superior of the initial one */

    /* to visually match text size */
    font-size: var(--fs-inl-mono);

    /* line-wrap */
    white-space: pre-wrap;

    /* we have to pass it to block so we can act on the height 
    this is to make sure, whatever the font, line with inline code are not going to be higher */
    display: inline-block;
    height: 0;

    /* side padding */
    padding: 0 .5em;

    position: relative;
    z-index: 0;
}
code::before{
    /* actual background highlight is out of the flow to not influence the height of the line
    and because the height of the code itself is 0 */
    content: "";
    background: var(--clr-inl-mono-back);
    position: absolute; inset: 0;
    z-index: -1;

    /* styling */
    box-sizing: border-box;
    height: calc(var(--lh) - 0.2em);
    top: 0.1em;
    border-radius: calc(var(--lh) * 0.25);
}

/* ----- FENCED CODE */

.codelight{
    /* main container which overflow and scroll */
    overflow-x: auto;

    /* out of flow */
    --lh: var(--lh-s);

    /* styling */
    box-sizing: border-box;
    background: white;
    border-radius: calc(var(--lh) * 0.5);
    border: var(--border);

    /* when flowing in article */
    margin: var(--lh) 0;

    /* typo */
    font-size: var(--fs-blk-mono);
    line-height: var(--lh-mono);
}
.codelight pre{
    margin: 0;
    padding: var(--lh);

    /* take size of the codeblock 
    if we don't do that we can't scroll to exactly the padded right side */
    display: inline-block;
}

/* reset from inline-code parameters */
.codelight code{
    all: revert;
}
.codelight code::before{
    content: none;
}
  